package org.kasapbasi.tutorials.w0601;

import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

import java.util.List;


class myclass implements SensorEventListener {


    @Override
    public void onSensorChanged(SensorEvent event) {

    }

    @Override
    public void onAccuracyChanged(Sensor sensor, int accuracy) {

    }
}

public class MainActivity extends AppCompatActivity implements SensorEventListener
{

    SensorManager sm;
    TextView tv;

    Sensor  s;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

     tv=(TextView) findViewById(R.id.myTv);
        sm=(SensorManager) getSystemService(SENSOR_SERVICE);
        List<Sensor> ls=sm.getSensorList(Sensor.TYPE_ALL);

        Log.v("TEST " + ls.size(),"MYSens");
        for(Sensor s:ls){

            Log.v(s.getName() ,"MYSens");
            Log.v(s.getVendor() ,"MYSens");
            Log.v(s.getVersion()+"" ,"MYSens");
            Log.v(s.getResolution()+"" ,"MYSens");
        }
sm.registerListener(this, sm.getDefaultSensor(Sensor.TYPE_ACCELEROMETER),
        SensorManager.SENSOR_DELAY_NORMAL);

    }


    @Override
    protected void onResume() {
        super.onResume();
        sm.registerListener(this, sm.getDefaultSensor(Sensor.TYPE_ACCELEROMETER),
                SensorManager.SENSOR_DELAY_NORMAL);
    }

    @Override
    protected void onPause() {
        super.onPause();
        sm.unregisterListener(this);

    }

    @Override
    public void onSensorChanged(SensorEvent event) {
     float x=event.values[0];
     float y= event.values[1];
     float z= event.values[2];

        tv.setText(x + "\n" +y+"\n"+z );
        Log.v(x+"","Mysens");
        Log.v(y+"","Mysens");
        Log.v(z+"","Mysens");


    }

    @Override
    public void onAccuracyChanged(Sensor sensor, int accuracy) {

    }
}
